# DaprHttp (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client

## Class DaprHttp

- java.lang.Object
- - io.dapr.client.DaprHttp

All Implemented Interfaces:
  `AutoCloseable`

    public class DaprHttp
    extends Object
    implements AutoCloseable

### Nested Class Summary

Nested Classes
`static class` `DaprHttp.HttpMethods` HTTP Methods supported.
`static class` `DaprHttp.Response`

### Field Summary

Fields
`static String` `ALPHA_1_API_VERSION` Dapr alpha API used in this client.
`static String` `API_VERSION` Dapr API used in this client.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Shutdown call is not necessary for OkHttpClient.
`reactor.core.publisher.Mono<DaprHttp.Response>` `invokeApi​(String method, String[] pathSegments, Map<String,​List<String>> urlParameters, byte[] content, Map<String,​String> headers, reactor.util.context.ContextView context)` Invokes an API asynchronously that returns a text payload.
`reactor.core.publisher.Mono<DaprHttp.Response>` `invokeApi​(String method, String[] pathSegments, Map<String,​List<String>> urlParameters, String content, Map<String,​String> headers, reactor.util.context.ContextView context)` Invokes an API asynchronously that returns a text payload.
`reactor.core.publisher.Mono<DaprHttp.Response>` `invokeApi​(String method, String[] pathSegments, Map<String,​List<String>> urlParameters, Map<String,​String> headers, reactor.util.context.ContextView context)` Invokes an API asynchronously without payload that returns a text payload.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### API_VERSION

    public static final String API_VERSION

Dapr API used in this client.

See Also:
  Constant Field Values

#### ALPHA_1_API_VERSION

    public static final String ALPHA_1_API_VERSION

Dapr alpha API used in this client.

See Also:
  Constant Field Values

### Method Detail

#### invokeApi

    public reactor.core.publisher.Mono<DaprHttp.Response> invokeApi​(String method,
                                                                    String[] pathSegments,
                                                                    Map<String,​List<String>> urlParameters,
                                                                    Map<String,​String> headers,
                                                                    reactor.util.context.ContextView context)

Invokes an API asynchronously without payload that returns a text payload.

Parameters:
  `method` - HTTP method.
  `pathSegments` - Array of path segments ("/a/b/c" maps to ["a", "b", "c"]).
  `urlParameters` - URL parameters
  `headers` - HTTP headers.
  `context` - OpenTelemetry's Context.
Returns:
  Asynchronous text

#### invokeApi

    public reactor.core.publisher.Mono<DaprHttp.Response> invokeApi​(String method,
                                                                    String[] pathSegments,
                                                                    Map<String,​List<String>> urlParameters,
                                                                    String content,
                                                                    Map<String,​String> headers,
                                                                    reactor.util.context.ContextView context)

Invokes an API asynchronously that returns a text payload.

Parameters:
  `method` - HTTP method.
  `pathSegments` - Array of path segments ("/a/b/c" maps to ["a", "b", "c"]).
  `urlParameters` - Parameters in the URL
  `content` - payload to be posted.
  `headers` - HTTP headers.
  `context` - OpenTelemetry's Context.
Returns:
  Asynchronous response

#### invokeApi

    public reactor.core.publisher.Mono<DaprHttp.Response> invokeApi​(String method,
                                                                    String[] pathSegments,
                                                                    Map<String,​List<String>> urlParameters,
                                                                    byte[] content,
                                                                    Map<String,​String> headers,
                                                                    reactor.util.context.ContextView context)

Invokes an API asynchronously that returns a text payload.

Parameters:
  `method` - HTTP method.
  `pathSegments` - Array of path segments ("/a/b/c" maps to ["a", "b", "c"]).
  `urlParameters` - Parameters in the URL
  `content` - payload to be posted.
  `headers` - HTTP headers.
  `context` - OpenTelemetry's Context.
Returns:
  Asynchronous response

#### close

    public void close()

Shutdown call is not necessary for OkHttpClient.

Specified by:
  `close` in interface `AutoCloseable`
See Also:
  `OkHttpClient`